TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

HadamardCanonicalForm ( elt-alg^mat H ) -> elt-alg^mat, elt-alg^mat, elt-alg^mat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 3

### Description

<shortdoc> Returns the canonical form H' of the Hadamard matrix H, together with transformation matrices X and Y such that H' = X*H*Y. </shortdoc>

### Examples

HadamardCanonicalForm(Matrix(Z,2,2,[1,-1,1,1]));

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack